import { Options } from 'tsup';

declare const TECHMELY_BANNER: (packageName: string) => string;
type BuildOptions = {
    externalDeps?: string[];
    tsupOptions?: Partial<Options>;
    packageName?: string;
};
declare function getTsupOptions(pkg?: any, buildOptions?: BuildOptions): Options;

export { TECHMELY_BANNER, getTsupOptions };
